summaryrefslogtreecommitdiff
path: root/.sandstorm/setup.sh
diff options
context:
space:
mode:
Diffstat (limited to '.sandstorm/setup.sh')
-rw-r--r--.sandstorm/setup.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/.sandstorm/setup.sh b/.sandstorm/setup.sh
new file mode 100644
index 0000000..88d2cca
--- /dev/null
+++ b/.sandstorm/setup.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+# When you change this file, you must take manual action. Read this doc:
+# - https://docs.sandstorm.io/en/latest/vagrant-spk/customizing/#setupsh
+
+set -euo pipefail
+
+version=1.19.1
+os=linux
+arch=amd64
+
+# The version of golang in the debian repositories tends to be incredibly
+# out of date; let's get ourselves a newer version from upstream:
+curl -L https://golang.org/dl/go${version}.${os}-${arch}.tar.gz -o go.tar.gz
+tar -C /usr/local -xzf go.tar.gz
+rm go.tar.gz
+echo 'export PATH=/usr/local/go/bin:$PATH' > /etc/profile.d/go.sh
+
+# Needed for fetching go libraries:
+apt-get install -y git ffmpeg
+
+exit 0 \ No newline at end of file